View Issue Details

IDProjectCategoryView StatusLast Update
0001996SymmetricDSImprovementpublic2015-02-13 12:00
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.9 
Target Version3.6.9Fixed in Version3.6.9 
Summary0001996: Support JSON data type. Map all Types.OTHER to LONGVARCHAR for Postgres.
DescriptionSupport JSON data type. Map all Types.OTHER to LONGVARCHAR for Postgres.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master de003424

2014-09-26 16:58:10

chenson

Details Diff
0001996: Support JSON data type. Map all unrecognized types to LONGVARCHAR for Postgres.
0001996
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDdlReader.java Diff File

SymmetricDS: master 7a751606

2015-02-13 11:28:11

chenson

Details Diff
0002194: postgres geometry types broken by issue 1996
0001996, 0002194
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-09-26 16:57 chenson New Issue
2014-09-26 16:57 chenson Status new => assigned
2014-09-26 16:57 chenson Assigned To => chenson
2014-09-26 16:58 chenson Summary Support JSON data type. Map all unrecognized types to LONGVARCHAR for Postgres. => Support JSON data type. Map all Types.OTHER to LONGVARCHAR for Postgres.
2014-09-26 16:58 chenson Description Updated View Revisions
2014-09-26 16:59 chenson Status assigned => resolved
2014-09-26 16:59 chenson Fixed in Version => 3.6.9
2014-09-26 16:59 chenson Resolution open => fixed
2014-09-26 17:00 chenson Changeset attached => SymmetricDS 3.6 r8760
2014-09-26 17:00 chenson Changeset attached => SymmetricDS trunk r8761
2014-09-30 10:18 chenson Status resolved => closed
2015-02-13 12:00 chenson Changeset attached => SymmetricDS trunk r9362
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7a751606
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master de003424